/* main.js */

// DOM取得用
var playButton = null;		// PLAYボタン

// Audio要素
var audio = null;

// 音声ファイル名
// 	魔王魂	http://maoudamashii.jokersounds.com/ より借用
var soundFile = "game_maoudamashii_4_field01.mp3";

/*
 * 音声ファイルの再生と一時停止をする関数
 */
function playSound(){
	if(audio.playFlg == false){	// 停止中なら再生
		audio.play();
		playButton.innerText = "一時停止";
		audio.playFlg = true;
	}
	else{						// 再生中なら一時停止
		audio.pause();
		playButton.innerText = "再生";
		audio.playFlg = false;
	}
}

/*
 * 起動時の処理
 */
window.onload = function(){
	// DOM要素取得
	playButton = document.getElementById("play-button");
	// ボタンイベント設定
	playButton.addEventListener("click", playSound, false);
	// Audio要素の設定
	audio = new Audio();
	audio.src = soundFile;	// 再生ファイル名設定
	audio.preload = "auto";	// データを自動取得
	// audio.load();
	audio.playFlg = false;		// 再生状態を表す（true: 再生中, false: 停止中）
}
